Package org.springframework.scheduling.quartz

# Class DelegatingJob

java.lang.Object
org.springframework.scheduling.quartz.DelegatingJob

All Implemented Interfaces:
  `Job`

public class DelegatingJob extends Object implements Job
Simple Quartz `Job` adapter that delegates to a given `Runnable` instance.

Typically used in combination with property injection on the Runnable instance, receiving parameters from the Quartz JobDataMap that way instead of via the JobExecutionContext.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `SpringBeanJobFactory`
  - `Job.execute(org.quartz.JobExecutionContext)`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingJob(Runnable delegate)`
Create a new DelegatingJob.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(JobExecutionContext context)`
Delegates execution to the underlying Runnable.
`final Runnable`
`getDelegate()`
Return the wrapped Runnable implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingJob

public DelegatingJob(Runnable delegate)
Create a new DelegatingJob.

Parameters:
  `delegate` - the Runnable implementation to delegate to

## Method Details

### getDelegate

public final Runnable getDelegate()
Return the wrapped Runnable implementation.

### execute

public void execute(JobExecutionContext context) throws JobExecutionException
Delegates execution to the underlying Runnable.

Specified by:
  `execute` in interface `Job`
Throws:
  `JobExecutionException`